/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package sample;

import javax.resource.cci.*;
import java.io.Serializable;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public
class RecordImpl implements Record, Serializable, Streamable {
  
  String  name;
  String  desc;
  
  public RecordImpl() {
  }

  // Get the name
  public
  String getRecordName() {
    return name;
  }
  
  // Set the name
  public
  void setRecordName(String name) {
    this.name = name;
  }
  
  // Set a short description string for this Record
  public
  void setRecordShortDescription(String description) {
    this.desc = description;
  }


  // Get a short description string for this Record
  public
  String getRecordShortDescription() {
    return desc;
  }


  // Check if this instance is equal to another Record
  public
  boolean equals(Object other) {
    // ...
    return true;
  }

  // Read data from an InputStream and initialize fields
  public
  void read(InputStream istream) throws IOException {
    //....
  }
  

  // Write fields of a Streamable object to an OutputStream
  public
  void write(OutputStream ostream) throws IOException {
    //...
  }

  public Object clone() throws CloneNotSupportedException {
    return this;
  }
}
